com.io7m.jregions.core.parameterized.sizes

## Class PAreaSizeBD<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.sizes.PAreaSizeBD<S>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the area
  All Implemented Interfaces:
    PAreaSizeBDType<S>, AreaSizeValuesBDType

      @Generated(value={"Immutables.generator","PAreaSizeBDType<S>"})
      public final class PAreaSizeBD<S>
      extends Object
      implements PAreaSizeBDType<S>

  The size of an area with `BigDecimal` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PAreaSizeBD.Builder<S>` Builds instances of type `PAreaSizeBD`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <S> PAreaSizeBD.Builder<S>` | `builder()` Creates a builder for `PAreaSizeBD`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `PAreaSizeBD` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `sizeX`, `sizeY`.
    `BigDecimal` | `height()` Deprecated. Use `sizeY()`
    `static <S> PAreaSizeBD<S>` | `of(BigDecimal sizeX, BigDecimal sizeY)` Construct a new immutable `PAreaSizeBD` instance.
    `BigDecimal` | `sizeX()`
    `BigDecimal` | `sizeY()`
    `String` | `toString()` Prints the immutable value `PAreaSizeBD` with attribute values.
    `BigDecimal` | `width()` Deprecated. Use `sizeX()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jregions.core.parameterized.sizes.PAreaSizeBDType

      `checkPreconditions`

- - ### Method Detail

    - #### sizeX

          public BigDecimal sizeX()

      Specified by:
        `sizeX` in interface `PAreaSizeBDType<S>`
      Specified by:
        `sizeX` in interface `AreaSizeValuesBDType`
      Returns:
        The value of the `sizeX` attribute

    - #### sizeY

          public BigDecimal sizeY()

      Specified by:
        `sizeY` in interface `PAreaSizeBDType<S>`
      Specified by:
        `sizeY` in interface `AreaSizeValuesBDType`
      Returns:
        The value of the `sizeY` attribute

    - #### width

          @Deprecated
          public BigDecimal width()

      Deprecated. Use `sizeX()`
      Specified by:
        `width` in interface `AreaSizeValuesBDType`
      Returns:
        The width of the area

    - #### height

          @Deprecated
          public BigDecimal height()

      Deprecated. Use `sizeY()`
      Specified by:
        `height` in interface `AreaSizeValuesBDType`
      Returns:
        The height of the area

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `PAreaSizeBD` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `sizeX`, `sizeY`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `PAreaSizeBD` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S> PAreaSizeBD<S> of(BigDecimal sizeX,
                                              BigDecimal sizeY)

      Construct a new immutable `PAreaSizeBD` instance.
      Parameters:
        `sizeX` - The value for the `sizeX` attribute
        `sizeY` - The value for the `sizeY` attribute
      Returns:
        An immutable PAreaSizeBD instance

    - #### builder

          public static <S> PAreaSizeBD.Builder<S> builder()

      Creates a builder for `PAreaSizeBD`.
      Type Parameters:
        `S` - generic parameter S
      Returns:
        A new PAreaSizeBD builder

Copyright © 2017 <code@io7m.com> http://io7m.com